| Earth Observation Mission CFI Software DataHandling Software User Manual |

Public Member Functions | Public Attributes

# EECFI::OsfFile Class Reference

Class for reading/writing Orbit Scenario files. More...

Inheritance diagram for EECFI::OsfFile:

List of all members.

## Public Member Functions
| OsfFile ()
| Empty constructor.
| OsfFile (const string fileNam)
| Constructor with file name.
| ~OsfFile ()
| Destructor.
void | read () throw (CfiError)
| Read the file data block.
void | write (const string fileNam, FixedHeader &fixedHead, vector< OsfRec > &osfData) throw (CfiError)
| Write the file.
void | write (FixedHeader &fixedHead, vector< OsfRec > &osfData) throw (CfiError)
| Write the file using the existing fileName.
long | xsltAdd () throw (CfiError)
| Add xslt reference with default stylesheet.
## Public Attributes
vector< OsfRec > | osfRec
| Vector of state vectors.

## Detailed Description

Class for reading/writing Orbit Scenario files.

## Constructor & Destructor Documentation

EECFI::OsfFile::OsfFile | ( |  | ) |

Empty constructor.

References EECFI::EEFile::fileType.

EECFI::OsfFile::OsfFile | ( | const string | fileNam | ) |

Constructor with file name.

EECFI::OsfFile::~OsfFile | ( |  | ) |

Destructor.

References EECFI::EEFile::fixedHeader, and osfRec.

## Member Function Documentation

void EECFI::OsfFile::read | ( |  | ) | throw (CfiError)

Read the file data block.

References EECFI::EEFile::fileName, EECFI::MlstNonlinearDrift::linearApproxValidity, EECFI::MlstNonlinearDrift::mlstHarmonics, osfRec, EECFI::MlstNonlinearDrift::quadraticTerm, and EECFI::CfiClass::throwWarn.

void EECFI::OsfFile::write | ( | const string | fileNam,
|  | FixedHeader & | fixedHead,
|  | vector< OsfRec > & | osfData |
| ) |  |  | throw (CfiError)

Write the file.

Parameters:

  | fileNam | Name of the file to write.
  | fixedHead | FixedHeader object with fixed header data.
  | osfData | Vector of orbit scenario records.

void EECFI::OsfFile::write | ( | FixedHeader & | fixedHead,
|  | vector< OsfRec > & | osfData |
| ) |  |  | throw (CfiError)

Write the file using the existing fileName.

Parameters:

  | fixedHead | FixedHeader object with fixed header data.
  | osfData | Vector of orbit scenario records.

long EECFI::OsfFile::xsltAdd | ( |  | ) | throw (CfiError)

Add xslt reference with default stylesheet.

References EECFI::EEFile::fileName.

## Member Data Documentation

vector<OsfRec> EECFI::OsfFile::osfRec

Vector of state vectors.

Referenced by read(), and ~OsfFile().